Name:           python-nifty8
Version:        8.5.7
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Probabilistic programming framework for signal inference algorithms that operate regardless of the underlying grids and their resolutions

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/nifty-ppl/nifty
Source:         %{pypi_source nifty8}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'nifty8' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-nifty8
Summary:        %{summary}

%description -n python3-nifty8 %_description

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras
%pyproject_extras_subpkg -n python3-nifty8 all,doc,native,parallel,re,test,util


%prep
%autosetup -p1 -n nifty8-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires -x all,doc,native,parallel,re,test,util


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-nifty8 -f %{pyproject_files}


%changelog
%autochangelog